const issue = require("../services/issue.services");
const log = require("../utils/logs.utils");

async function post(req, res, next) {
  try {
    log.out(`issueControllers.post: Request Body: ${JSON.stringify(req.body)}`);
    res.json(await issue.processor(req.body));
  } catch (err) {
    console.error("Controller Error", err.message);
    next(err);
  }
}

module.exports = {
  post,
};
